#%global debug_package %{nil}

Name:		perl-File-MimeInfo
Version:	0.33
Release:	1
Summary:	Implement the freedesktop specification

License:	GPL-1.0-or-later or Artistic-1.0
URL:		https://metacpan.org/release/File-MimeInfo
Source0:	https://cpan.metacpan.org/authors/id/M/MI/MICHIELB/File-MimeInfo-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  findutils make
BuildRequires:	perl-interpreter perl-generators
BuildRequires:	perl(Exporter)
BuildRequires:	perl(Fcntl)
BuildRequires:	perl(Pod::Usage)
BuildRequires:	perl(File::Basename)
BuildRequires:	perl(File::BaseDir)
BuildRequires:	perl(File::DesktopEntry)
BuildRequires:	shared-mime-info
BuildRequires:  perl(Encode::Locale)

Requires:	perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version)) 
Requires:	perl(File::DesktopEntry) >= 0.04
Requires:	perl(File::BaseDir) >= 0.03

%description
This module can be used to determine the mime type of a file; it's a replacement
for File::MMagic trying to implement the freedesktop specification for using the
shared mime-info database. The package comes with a script called mimetype that 
can be used as a file(1) work-alike.

%package help
Summary: Help documents for perl-File-MimeInfo
%description help
The help documents for perl-File-MimeInfo

%prep
%setup -q -n File-MimeInfo-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
%make_install DESTDIR=$RPM_BUILD_ROOT

%check
make test

%files
%defattr(-,root,root)
%{_bindir}/mimeopen
%{_bindir}/mimetype
%{perl_vendorlib}/*
/usr/lib64/perl5/perllocal.pod
/usr/lib64/perl5/vendor_perl/auto/File/MimeInfo/.packlist

%files help
%defattr(-,root,root)
%doc Changes
%{_mandir}/man1/*
%{_mandir}/man3/*

%changelog
* Thu Mar 23 2023 wenchaofan <349464272@qq.com> - 0.33-1
- Update version to 0.33

* Tue Jun 14 2022 SimpleUpdate Robot <tc@openeuler.org> - 0.32-1
- Upgrade to version 0.32

* Tue Jan 14 2020 openEuler Buildteam <buildteam@openeuler.org> - 0.29-3
- mark as noarch

* Tue Jan 14 2020 openEuler Buildteam <buildteam@openeuler.org> - 0.29-2
- Fix build requirements

* Tue Jan 7 2020 shenkai <shenkai8@huawei.com> - 0.29-1
- Package init
